saveFolder = "/ai_result/";
folderRef = new Folder ("/ai_eps/");
fileList = folderRef.getFiles("*.eps");
for (i=0; i<fileList.length; i++)
{
	fileObj = new File(fileList[i].fsName);
	open(fileObj);
	writeInfo(activeDocument, saveFolder+fileList[i].name+".txt");
	activeDocument.close(SaveOptions.DONOTSAVECHANGES);
}

function writeInfo(docObj, filename)
{
	var i;
	fileRef = new File (filename);
	flag = fileRef.open ("w","","");
	if (flag)
	{
		fileRef.writeln("쐬ꂽAvP[V");
		fileRef.writeln("@"+name+"@o[WF"+version);
		fileRef.writeln("y[WTCY");
		fileRef.writeln("@"+docObj.width+" x "+docObj.height);
		fileRef.writeln("o͉𑜓x");
		fileRef.writeln("@"+docObj.outputResolution);
		fileRef.writeln("C[");
		fileRef.writeln("@"+docObj.layers.length);
		fileRef.writeln("rbg}bv摜");
		fileRef.writeln("@"+docObj.rasterItems.length);
		fileRef.writeln("eLXgubN");
		fileRef.writeln("@"+docObj.textFrames.length);
		fileRef.writeln("tHgi쐬VXẽtHgj");
		fileRef.writeln("@"+app.textFonts.length);
		fontList = getFontList();
		fileRef.writeln("gptHg");
		fileRef.writeln("@"+fontList.length);
		fileRef.writeln("gptHgꗗ");
		for (i=0; i<fontList.length; i++) fileRef.writeln("@"+fontList[i]);
		fileRef.writeln("摜Nꗗ");
		pItem = docObj.rasterItems;
		for (i=0; i<pItem.length; i++) fileRef.writeln(pItem[i].file.fullName);
	}
	fileRef.close();
}

//@gptHg擾
function getFontList()
{
	var fList = new Array();
	var cnt = 0,i;
	var textObj = activeDocument.textFrames;
	for (i=0; i<textObj.length; i++)
	{
		txtRange = textObj[i];
		for (j=0; j<txtRange.contents.length; j++)
		{
			fName = txtRange.characters[j].textFont;
			if (!checkFont(fList,fName)) fList[cnt++] = fName;
		}
	}
	return fList;
}

//@łɃtHgzɓo^Ă邩ׂ
function checkFont(listObj,chk)
{
	for (ii=0; ii<listObj.length; ii++)
	{
		if (listObj[ii] == chk) return true;
	}
	return false;
}
